goocanvasmm: Goocanvas::TextModel Class Reference

goocanvasmm 1.90.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Goocanvas::TextModel Class Reference
Inheritance diagram for Goocanvas::TextModel:
[legend]

List of all members.

## Public Member Functions
virtual | ~TextModel ()
GooCanvasTextModel* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasTextModel* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasTextModel* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Pango::Alignment > | property_alignment ()
| How to align the text.
Glib::PropertyProxy_ReadOnly < Pango::Alignment > | property_alignment () const
| How to align the text.
Glib::PropertyProxy< AnchorType > | property_anchor ()
| How to position the text relative to the given x and y coordinates.
Glib::PropertyProxy_ReadOnly < AnchorType > | property_anchor () const
| How to position the text relative to the given x and y coordinates.
Glib::PropertyProxy < Glib::ustring > | property_text ()
| The text to display.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_text () const
| The text to display.
Glib::PropertyProxy< bool > | property_use_markup ()
| Whether to parse PangoMarkup in the text, to support different styles.
Glib::PropertyProxy_ReadOnly < bool > | property_use_markup () const
| Whether to parse PangoMarkup in the text, to support different styles.
Glib::PropertyProxy< double > | property_width ()
| The width to use to layout the text, or -1 to let the text use as much horizontal space as needed.
Glib::PropertyProxy_ReadOnly < double > | property_width () const
| The width to use to layout the text, or -1 to let the text use as much horizontal space as needed.
Glib::PropertyProxy< double > | property_x ()
| The x coordinate of the text.
Glib::PropertyProxy_ReadOnly < double > | property_x () const
| The x coordinate of the text.
Glib::PropertyProxy< double > | property_y ()
| The y coordinate of the text.
Glib::PropertyProxy_ReadOnly < double > | property_y () const
| The y coordinate of the text.
## Static Public Member Functions
static Glib::RefPtr< TextModel > | create (const Glib::ustring&string=Glib::ustring(), double x=0.0, double y=0.0, double width=-1, AnchorType anchor=ANCHOR_NORTH_WEST)
## Protected Member Functions
| TextModel (const Glib::ustring&string=Glib::ustring(), double x=0.0, double y=0.0, double width=-1, AnchorType anchor=ANCHOR_NORTH_WEST)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Goocanvas::TextModel > | wrap (GooCanvasTextModel* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::TextModel::~TextModel | ( |  | ) | `[virtual]`

Goocanvas::TextModel::TextModel | ( | const Glib::ustring & | string = `Glib::ustring()`,
|  | double | x = `0.0`,
|  | double | y = `0.0`,
|  | double | width = `-1`,
|  | AnchorType | anchor = `ANCHOR_NORTH_WEST`
| ) |  | `[protected]`

## Member Function Documentation

static Glib::RefPtr<TextModel> Goocanvas::TextModel::create | ( | const Glib::ustring & | string = `Glib::ustring()`,
|  | double | x = `0.0`,
|  | double | y = `0.0`,
|  | double | width = `-1`,
|  | AnchorType | anchor = `ANCHOR_NORTH_WEST`
| ) |  | `[static]`

GooCanvasTextModel* Goocanvas::TextModel::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemModelSimple.

const GooCanvasTextModel* Goocanvas::TextModel::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemModelSimple.

GooCanvasTextModel* Goocanvas::TextModel::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Goocanvas::ItemModelSimple.

Glib::PropertyProxy<Pango::Alignment> Goocanvas::TextModel::property_alignment | ( |  | ) |

How to align the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::Alignment> Goocanvas::TextModel::property_alignment | ( |  | ) | const

How to align the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<AnchorType> Goocanvas::TextModel::property_anchor | ( |  | ) | const

How to position the text relative to the given x and y coordinates.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<AnchorType> Goocanvas::TextModel::property_anchor | ( |  | ) |

How to position the text relative to the given x and y coordinates.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Goocanvas::TextModel::property_text | ( |  | ) |

The text to display.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Goocanvas::TextModel::property_text | ( |  | ) | const

The text to display.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Goocanvas::TextModel::property_use_markup | ( |  | ) |

Whether to parse PangoMarkup in the text, to support different styles.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Goocanvas::TextModel::property_use_markup | ( |  | ) | const

Whether to parse PangoMarkup in the text, to support different styles.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::TextModel::property_width | ( |  | ) |

The width to use to layout the text, or -1 to let the text use as much horizontal space as needed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Goocanvas::ItemModel.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::TextModel::property_width | ( |  | ) | const

The width to use to layout the text, or -1 to let the text use as much horizontal space as needed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Goocanvas::ItemModel.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::TextModel::property_x | ( |  | ) | const

The x coordinate of the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Goocanvas::ItemModel.

Glib::PropertyProxy<double> Goocanvas::TextModel::property_x | ( |  | ) |

The x coordinate of the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Goocanvas::ItemModel.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::TextModel::property_y | ( |  | ) | const

The y coordinate of the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Goocanvas::ItemModel.

Glib::PropertyProxy<double> Goocanvas::TextModel::property_y | ( |  | ) |

The y coordinate of the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Goocanvas::ItemModel.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::TextModel > wrap | ( | GooCanvasTextModel * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/textmodel.h